***

title: create
slug: /reference/python/rest/fabric/sip-endpoints/create
description: Create a new SIP endpoint resource.
max-toc-depth: 3
---------------------

For a complete index of all SignalWire documentation pages, fetch https://signalwire.com/docs/llms.txt

Create a new SIP endpoint resource.

<EndpointSchemaSnippet endpoint="POST /api/fabric/resources/sip_endpoints" />

## **Response Example**

<EndpointResponseSnippet endpoint="POST /api/fabric/resources/sip_endpoints" />

## **Example**

```python {9}
from signalwire.rest import RestClient

client = RestClient(
    project="your-project-id",
    token="your-api-token",
    host="your-space.signalwire.com",
)

result = client.fabric.sip_endpoints.create(
    username="my-endpoint", caller_id="+15551234567", send_as="+15551234567",
    encryption="required", ciphers=["AEAD_AES_256_GCM_8"], codecs=["OPUS"],
    call_handler="relay_app", calling_handler_resource_id="resource-id",
)
print(f"Created: {result['id']}")
```